Subject: Re: bug#54657: 29.0.50; 100% CPU usage with eww on https://blogsurf.io/

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 03 Apr 2022 14:21:55 +0200

Eli Zaretskii <[email-masked]> writes:

> I didn't do the above, I just stepped through eww-display-html in
> Edebug, and looked at my watch (30 sec is easy to measure without any
> instruments).

Well, that doesn't say whether it's libxml2 or something else...  could
you try the benchmark-run?

> So what is your version of libxml2?  Maybe that is the important
> aspect here.

apt says:

libxml2/testing,now 2.9.13+dfsg-1 amd64 [installed,automatic]

I guess it could also have something to do with how we're interfacing
with the library -- perhaps we're creating strings (or something) in a
sub-optimal way on some architectures and not others?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no